<?php

namespace Modules\Quotation\Interfaces;

use Illuminate\Http\Request;
use Modules\Quotation\Models\Quotation;

interface QuotationRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Quotation $quotation);
    public function save(Request $request, ?Quotation $quotation): Quotation;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
